apiMyStock
RequêteClé requiseShop API: available quantity per offer, oldest change first. updatedSince and cursor narrow the list; prefer apiMyStockPage to receive nextCursor.
Arguments
| Nom | Type | Description |
|---|---|---|
| cursor | String | |
| limit | Int | |
| updatedSince | DateTime |
Retourne
Exemple
query ApiMyStock($cursor: String, $limit: Int, $updatedSince: DateTime) {
apiMyStock(cursor: $cursor, limit: $limit, updatedSince: $updatedSince) {
availableQty
offerId
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiMyStock($cursor: String, $limit: Int, $updatedSince: DateTime) { apiMyStock(cursor: $cursor, limit: $limit, updatedSince: $updatedSince) { availableQty offerId } }"}'